Name: prescript
Version: 2.2
Release: 1
Summary: Extract plain text or HTML from a PostScript file
Copyright: GPL
Group: Applications/Publishing
Source: http://www.nzdl.org/download/prescript/prescript-2.2.tar.gz
Url: http://www.nzdl.org/html/prescript.html
Requires: ghostscript, python >= 1.5
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Vendor: Scott Pakin <pakin@uiuc.edu>

%description
Prescript uses a PostScript interpreter, normally Ghostscript, to
execute the PostScript program, so that even text that is generated
programmatically, rather than being explicitly present in PostScript
strings, can be extracted.  Particular attention is paid to heuristic
recognition of word breaks (which PostScript sadly lacks any
convention for marking), to reconstruction of words hyphenated at line
breaks, to preservation of paragraph breaks, and to recognition of TeX
ligatures.

%changelog
* Sat Jan 26 2002 Scott Pakin <pakin@uiuc.edu>
- Initial version

%prep
%setup

%install
# prescript's Makefile stinks.  It's easier to install everything manually.
install -d %{buildroot}%{_bindir}
cat <<EOF > %{buildroot}%{_bindir}/prescript
#! /bin/sh
PYTHONPATH=%{_datadir}/prescript
python \$PYTHONPATH/prescript "\$@"
EOF
chmod 755 %{buildroot}%{_bindir}/prescript
install -D -m 644 prescript.man %{buildroot}%{_mandir}/man1/prescript.1
install -d %{buildroot}%{_datadir}/prescript
install -m 644 *.py* prescript prescript.ps %{buildroot}%{_datadir}/prescript

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc about-prescript.ps
%{_bindir}/prescript
%{_mandir}/man1/prescript.1*
%{_datadir}/prescript
